attribute vec4 vPosition;
attribute vec4 vNormal;
attribute vec2 vTexCoord;
attribute vec4 vTangent;
uniform mat4 p_matrix;
uniform mat4 mat4_slot_1;
varying vec3 N;
varying vec3 v;
varying vec2  v_texcoord;
void main(void)  
{     
   v = vec3(vPosition);       
   N = normalize(vNormal.xyz);
   gl_Position = p_matrix * vPosition; 
   v_texcoord = vTexCoord;
} 
